# -*-Tcl-*- package index file, version 1.1, for TkDVI.
#
# Copyright  2000 Anselm Lingnau <lingnau@tm.informatik.uni-frankfurt.de>
# See file COPYING for conditions on use and distribution.
#
# $Id: pkgIndex.tcl.in,v 1.2 2000/07/11 13:17:42 lingnau Exp $

namespace eval dvi {
    proc pkgSetup {dir ext ver} {
	if {[::file exists [::file join $dir libtkdvi]]} {
	    set filename [::file join $dir libtkdvi]
	} else {
	    set filename [::file join $dir .. libtkdvi]
	}
	load $filename
	load {} $ext
    }
}

package ifneeded Dvicf 0.4 [list ::dvi::pkgSetup $dir Dvicf 0.4]
package ifneeded Dvifont 0.4 [list ::dvi::pkgSetup $dir Dvifont 0.4]
package ifneeded Dviinterp 0.4 [list ::dvi::pkgSetup $dir Dviinterp 0.4]
package ifneeded Dviimg 0.4 [list ::dvi::pkgSetup $dir Dviimg 0.4]
